org.eclipse.jgit.util.io

## Class CountingOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.jgit.util.io.CountingOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class CountingOutputStream
    extends OutputStream

Counts the number of bytes written.

### Constructor Summary

Constructors
Constructor and Description
`CountingOutputStream(OutputStream out)` Initialize a new counting stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`long` `getCount()`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int val)`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountingOutputStream

    public CountingOutputStream(OutputStream out)

Initialize a new counting stream.

Parameters:
  `out` - stream to output all writes to.

### Method Detail

#### getCount

    public long getCount()

Returns:
  current number of bytes written.

#### write

    public void write(int val)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`